.form-group.hidden {
    width: 0 !important;
    margin: 0;
    border: none;
    padding: 0;
  }
  .custom-day {
    text-align: center;
    padding: 0.45rem 0rem;
    display: inline-block;
    height: 2rem;
    width: 2rem;
    font-size: 0.8em;
  }
  .custom-day.focused {
    background-color: #e6e6e6;
  }
  .custom-day.range,
  .custom-day:hover {
    // background-color: rgba(2, 117, 216,0.8);
    color: white;
    &:not(.faded) {
      background-color: rgba(2, 117, 216, 0.5);
      &:not(.round) {
      }
      border-radius: 0%;
      position: relative;
      width: 100%;
      padding-right: 6px;
      &.round {
        border-radius: 50% !important;
        background-color: rgba(2, 117, 216, 0) !important;
      }
      &::before {
        content: "";
        width: calc(100% - 6px);
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        background: rgb(2, 117, 216);
        border-radius: 50%;
        z-index: -1;
      }
    }
  }
  
  div.faded {
    background-color: rgba(2, 117, 216, 0.5);
  }
  
  .form-group {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
    &:not(.hidden) {
      .input-group {
        border: 1px solid #c6cbd4;
        border-radius: 5px;
        .form-control {
          height: 33px !important;
          font-family: "AvenirMedium";
        }
      }
    }
  }
  ::ng-deep ngb-datepicker.dropdown-menu {
    padding: 5px 10px !important;
    min-width: 468px;
    min-height: 408px;
    box-shadow: 4px 4px 10px 0 #00000038;
    border: none;
    font-family: "Avenir", "Helvetica Neue", sans-serif !important;
    display: grid !important;
    grid-template-columns: 130px auto;
    .quick-date {
      grid-row: 1 / 3;
    }
    .btn-wrapper {
      grid-column: 1 / 3;
    }
    .ngb-dp-header {
      width: max-content !important;
      min-width: 100%;
      .btn-link {
        color: var(--main-strada-color-2) !important;
      }
      &.bg-light {
        background-color: transparent !important;
      }
    }
  }
  ::ng-deep .ngb-dp-navigation-select {
    .custom-select {
      border: 0 !important;
      -moz-appearance: auto; /* Firefox */
      -webkit-appearance: auto; /* Safari and Chrome */
      appearance: auto;
      background: transparent !important;
      font-family: "AvenirMedium";
      option {
        font-family: "AvenirMedium";
      }
      &:focus {
        border: none !important;
        box-shadow: none !important;
      }
      flex: none;
      width: 5em;
      font-size: 1em;
      &:first-of-type {
        margin-left: auto;
      }
      &:last-of-type {
        margin-right: auto;
      }
    }
  }
  ::ng-deep .ngb-dp-week,
  .ngb-dp-weekdays,
  ::ng-deep .ngb-dp-month-name {
    background-color: transparent !important;
    .ngb-dp-weekday {
      color: var(--main-strada-color-2);
    }
    .ngb-dp-day,
    .ngb-dp-weekday {
      margin: 1px 0;
      width: 2.5rem;
      height: 2rem;
    }
  }
  ::ng-deep .ngb-dp-weekdays {
    margin: 1em 0 0.5em 0;
    border-bottom: 0 !important;
  }
  .form-control {
    border: none;
    background: transparent;
    padding-top: 0;
    padding-bottom: 0;
    &:focus {
      box-shadow: none;
    }
  }
  .ngx-daterangepicker-action {
    line-height: 2;
  }
  
  .ranged + ::ng-deep .dropdown-menu {
    .ngb-dp-arrow {
      transform: translateY(100%) !important;
    }
  }
  ::ng-deep .ngb-dp-month {
    margin: auto;
  }
  
  .clockpicker-wrapper {
    display: flex;
    justify-content: center;
    margin-top: 5px;
    margin-bottom: 5px;
    min-height: 37px;
    .start-clockpicker,
    .end-clockpicker {
      width: 50px;
      font-size: 0.75em;
      border-radius: 3px;
      border: 0px solid grey;
      background-color: #ebebeb;
      text-align: center;
    }
    .start-clockpicker {
      // margin-left: 0.1em;
    }
    .end-clockpicker {
      // margin-left: 0.2rem;
      margin-right: 0.205em;
    }
    input {
      margin-right: 0.25em;
    }
    h6 {
      font-size: 0.7em !important;
      margin-bottom: 0;
      margin-right: 2.75em;
      color: var(--main-strada-color-1);
    }
  }
  .inputs-wrapper {
    display: flex;
    flex-grow: 1;
    min-height: 23.5px;
    // justify-content: flex-end;
    padding: 0 0.75em;
  }
  .checkbox-field {
    justify-content: flex-end;
    padding-right: 0.75em;
    align-items: flex-start;
    margin-left: auto !important;
    margin: 2px 0 0 0;
    line-height: 1;
    font-size: 0.8em;
    p {
      margin: 0 !important;
      color: var(--main-strada-color-1);
    }
  }
  #close {
    width: 0;
    border: none;
    display: none;
  }
  .btn-wrapper {
    display: flex;
    margin-bottom: 5px;
    padding-top: 10px;
    border-top: 1px solid #97979730;
    margin-left: -10px;
    margin-right: -10px;
    padding-right: 0.35em;
  }
  .validate-btn {
    border: none;
    background-color: #5793ce;
    color: #fff;
    padding: 5px 10px;
    border-radius: 3px;
    font-size: 0.9em;
    margin-left: 3px;
    margin-right: 5px;
  }
  .cancel-btn {
    background: transparent;
    border: 1px solid var(--main-strada-color-2);
    border-radius: 3px;
    padding: 4px 10px;
    font-size: 0.9em;
    margin-left: auto;
  }
  
  ::ng-deep .ngb-dp-week-number,
  ::ng-deep .ngb-dp-weekday {
    font-style: normal !important;
  }
  
  .quick-date {
    border-right: 1px solid #97979730;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    .quick-btn {
      width: 100%;
      width: 100%;
      background-color: transparent;
      border: none;
      text-align: left;
      padding: 6px 0;
      span {
        font-family: "AvenirMedium";
      }
      &:not(.active):hover {
        span {
          border-bottom: 1px solid var(--main-strada-color-1);
        }
      }
      &.active {
        span {
          border-bottom: 3px solid var(--main-strada-color-1);
        }
      }
    }
  }
  
  #date-navigation {
    display: none;
  }
  
  .date-picker-trigger {
    pointer-events: none;
    position: relative !important;
    top: -1px;
  }
  
  .styleButtonCalenderRight {
    background-color: white;
    border: transparent;
    width: 23px;
    margin-right: 9px;
    margin-top: 3px;
  }
  .styleButtonCalenderLeft {
    background-color: white;
    border: transparent;
    width: 25px;
    margin-top: 3px;
  }
  
  ::ng-deep .input-group {
    // width: 117%;
  }
  ::ng-deep
    .form-group[_ngcontent-biv-c31]:not(.hidden)
    .input-group[_ngcontent-biv-c31] {
    margin-left: 32%;
  }
  #cercle {
    margin-left: 13px;
    margin-top: -3px;
    width: 7px;
    height: 7px;
    border-radius: 20px;
    background: blue;
  }
  